pike.git / src / post_modules / Kerberos / kerberos.cmod

version» Context lines:

pike.git/src/post_modules/Kerberos/kerberos.cmod:1:   /* -*- c -*- + || This file is part of Pike. For copyright information see COPYRIGHT. + || Pike is distributed under GPL, LGPL and MPL. See the file COPYING + || for more information. + */ +  + /*    * Kerberos support for Pike.    *    * 2004-05-12 Henrik Grubbström    *    * FIXME: Currently only minimal support, and only for Kerberos 5 (not 4).    */    - #include "global.h" + #include "module.h"   #include "config.h"    - #include "svalue.h" - #include "module.h" +    #include "interpret.h"      DECLARATIONS      /* #define KRB_DEBUG */      #ifdef KRB_DEBUG   #define KRB_FPRINTF(X) fprintf X   #else /* !KRB_DEBUG */   #define KRB_FPRINTF(X) -  + /* Don't complain about us using krb5_get_init_creds_opt_init(). */ + #define KRB5_DEPRECATED_FUNCTION(X)   #endif /* KRB_DEBUG */      #ifdef HAVE_KRB5      #ifdef HAVE_KRB5_H   #include <krb5.h>   #else   #ifdef HAVE_KERBEROSV5_KRB5_H   #include <kerberosv5/krb5.h>   #endif